Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

ADTF Filter können interne Zustände haben, die von MediaSamples abhängen, die zuvor verarbeitet wurden.

Bei folgenden Ereignissen muss der interne Zustand des Filters in den Initalzustand zurückversetzt werden, weil der Kontext nicht

mehr passt:

Sprung im Playback in der Zeitleiste nach vorn

Sprung im Playback in der Zeitleiste nach hinten

Aktivierung einer anderen ReferenceClock

Reset der ReferenceClock (z.B. weil ein externer Zeitgeber endlich Daten liefert)

Wie wird der Filter bzw. die Triggerfunction hier informiert, um darauf reagieren zu können (Event, Callback, ...)?

Lösung

Da hats sich zu ADTF2 nicht viel verändert, nur dass es kein Kernel Event mehr ist, sondern man sich direkt bei der ReferenceClock

als IEventSink anmelden muss. Dann bekommt man verschiedene tReferenceClockEvent geschickt.

object_ptr<IReferenceClock> pClock;

_runtime->GetObject(pClock);

object_ptr<IEventSource> pClockEventSource = pClock;

...

History

#1 - 2018-10-16 16:54 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Affected Products ADTF 3.3.3 added

#2 - 2018-10-18 08:44 - hidden

Da hats sich zu ADTF2 nicht viel verändert, nur dass es kein Kernel Event mehr ist, sondern man sich direkt bei der ReferenceClock als IEventSink

anmelden muss. Dann bekommt man verschiedene tReferenceClockEvent geschickt.

object_ptr<IReferenceClock> pClock;

_runtime->GetObject(pClock);

object_ptr<IEventSource> pClockEventSource = pClock;

...

#3 - 2018-10-18 08:46 - hidden

- Status changed from In Progress to Customer Feedback Required
#4 - 2018-10-23 15:36 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF3: Callback / Event für Clock-Reset to Callback or event for clock reset in ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

- Support Level changed from 3rd Level to 2nd Level

#5 - 2018-11-06 09:31 - hidden

- Customer set to AUDI

- Department set to EF

#6 - 2018-11-06 13:24 - hidden

- Status changed from To Be Closed to Closed
